import type { ExtractPropTypes, PropType } from 'vue-demi';
import type { SizeType } from '../config-provider';
export declare const buttonGroupProps: () => {
    prefixCls: StringConstructor;
    size: {
        type: PropType<SizeType>;
    };
};
export type ButtonGroupProps = Partial<ExtractPropTypes<ReturnType<typeof buttonGroupProps>>>;
export declare const GroupSizeContext: {
    useProvide: (props: {
        size: SizeType;
    }, newProps?: {
        size: SizeType;
    }) => {
        size: SizeType;
    };
    useInject: () => {
        size: SizeType;
    };
};
declare const _default: import("vue-demi").DefineComponent<{
    prefixCls: StringConstructor;
    size: {
        type: PropType<SizeType>;
    };
}, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<ExtractPropTypes<{
    prefixCls: StringConstructor;
    size: {
        type: PropType<SizeType>;
    };
}>>, {}, {}>;
export default _default;
