import type { Plugin } from 'vue-demi';
import CheckboxGroup from './Group';
export type { CheckboxProps, CheckboxGroupProps, CheckboxOptionType } from './interface';
export { checkboxProps, checkboxGroupProps } from './interface';
export { CheckboxGroup };
declare const _default: {
    new (...args: any[]): import("vue-demi").CreateComponentPublicInstance<Readonly<import("vue-demi").ExtractPropTypes<{
        indeterminate: {
            type: BooleanConstructor;
            default: boolean;
        };
        prefixCls: StringConstructor;
        defaultChecked: {
            type: BooleanConstructor;
            default: boolean;
        };
        checked: {
            type: BooleanConstructor;
            default: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        isGroup: {
            type: BooleanConstructor;
            default: boolean;
        };
        value: import("vue-types").VueTypeValidableDef<any>;
        name: StringConstructor;
        id: StringConstructor;
        type: {
            type: import("vue-demi").PropType<"checkbox">;
            default: "checkbox";
        };
        autofocus: {
            type: BooleanConstructor;
            default: boolean;
        };
        onChange: {
            type: import("vue-demi").PropType<(e: import("./interface").CheckboxChangeEvent) => void>;
            default: (e: import("./interface").CheckboxChangeEvent) => void;
        };
        'onUpdate:checked': {
            type: import("vue-demi").PropType<(checked: boolean) => void>;
            default: (checked: boolean) => void;
        };
        onClick: {
            type: import("vue-demi").PropType<import("../_util/EventInterface").MouseEventHandler>;
            default: import("../_util/EventInterface").MouseEventHandler;
        };
        skipGroup: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, () => import("../_util/type").VueNode, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps & Readonly<import("vue-demi").ExtractPropTypes<{
        indeterminate: {
            type: BooleanConstructor;
            default: boolean;
        };
        prefixCls: StringConstructor;
        defaultChecked: {
            type: BooleanConstructor;
            default: boolean;
        };
        checked: {
            type: BooleanConstructor;
            default: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        isGroup: {
            type: BooleanConstructor;
            default: boolean;
        };
        value: import("vue-types").VueTypeValidableDef<any>;
        name: StringConstructor;
        id: StringConstructor;
        type: {
            type: import("vue-demi").PropType<"checkbox">;
            default: "checkbox";
        };
        autofocus: {
            type: BooleanConstructor;
            default: boolean;
        };
        onChange: {
            type: import("vue-demi").PropType<(e: import("./interface").CheckboxChangeEvent) => void>;
            default: (e: import("./interface").CheckboxChangeEvent) => void;
        };
        'onUpdate:checked': {
            type: import("vue-demi").PropType<(checked: boolean) => void>;
            default: (checked: boolean) => void;
        };
        onClick: {
            type: import("vue-demi").PropType<import("../_util/EventInterface").MouseEventHandler>;
            default: import("../_util/EventInterface").MouseEventHandler;
        };
        skipGroup: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        type: "checkbox";
        onClick: import("../_util/EventInterface").MouseEventHandler;
        onChange: (e: import("./interface").CheckboxChangeEvent) => void;
        disabled: boolean;
        autofocus: boolean;
        defaultChecked: boolean;
        checked: boolean;
        indeterminate: boolean;
        isGroup: boolean;
        'onUpdate:checked': (checked: boolean) => void;
        skipGroup: boolean;
    }, true, {}, {}, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue-demi").ExtractPropTypes<{
        indeterminate: {
            type: BooleanConstructor;
            default: boolean;
        };
        prefixCls: StringConstructor;
        defaultChecked: {
            type: BooleanConstructor;
            default: boolean;
        };
        checked: {
            type: BooleanConstructor;
            default: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        isGroup: {
            type: BooleanConstructor;
            default: boolean;
        };
        value: import("vue-types").VueTypeValidableDef<any>;
        name: StringConstructor;
        id: StringConstructor;
        type: {
            type: import("vue-demi").PropType<"checkbox">;
            default: "checkbox";
        };
        autofocus: {
            type: BooleanConstructor;
            default: boolean;
        };
        onChange: {
            type: import("vue-demi").PropType<(e: import("./interface").CheckboxChangeEvent) => void>;
            default: (e: import("./interface").CheckboxChangeEvent) => void;
        };
        'onUpdate:checked': {
            type: import("vue-demi").PropType<(checked: boolean) => void>;
            default: (checked: boolean) => void;
        };
        onClick: {
            type: import("vue-demi").PropType<import("../_util/EventInterface").MouseEventHandler>;
            default: import("../_util/EventInterface").MouseEventHandler;
        };
        skipGroup: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, () => import("../_util/type").VueNode, {}, {}, {}, {
        type: "checkbox";
        onClick: import("../_util/EventInterface").MouseEventHandler;
        onChange: (e: import("./interface").CheckboxChangeEvent) => void;
        disabled: boolean;
        autofocus: boolean;
        defaultChecked: boolean;
        checked: boolean;
        indeterminate: boolean;
        isGroup: boolean;
        'onUpdate:checked': (checked: boolean) => void;
        skipGroup: boolean;
    }>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue-demi").ComponentOptionsBase<Readonly<import("vue-demi").ExtractPropTypes<{
    indeterminate: {
        type: BooleanConstructor;
        default: boolean;
    };
    prefixCls: StringConstructor;
    defaultChecked: {
        type: BooleanConstructor;
        default: boolean;
    };
    checked: {
        type: BooleanConstructor;
        default: boolean;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    isGroup: {
        type: BooleanConstructor;
        default: boolean;
    };
    value: import("vue-types").VueTypeValidableDef<any>;
    name: StringConstructor;
    id: StringConstructor;
    type: {
        type: import("vue-demi").PropType<"checkbox">;
        default: "checkbox";
    };
    autofocus: {
        type: BooleanConstructor;
        default: boolean;
    };
    onChange: {
        type: import("vue-demi").PropType<(e: import("./interface").CheckboxChangeEvent) => void>;
        default: (e: import("./interface").CheckboxChangeEvent) => void;
    };
    'onUpdate:checked': {
        type: import("vue-demi").PropType<(checked: boolean) => void>;
        default: (checked: boolean) => void;
    };
    onClick: {
        type: import("vue-demi").PropType<import("../_util/EventInterface").MouseEventHandler>;
        default: import("../_util/EventInterface").MouseEventHandler;
    };
    skipGroup: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, () => import("../_util/type").VueNode, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, {
    type: "checkbox";
    onClick: import("../_util/EventInterface").MouseEventHandler;
    onChange: (e: import("./interface").CheckboxChangeEvent) => void;
    disabled: boolean;
    autofocus: boolean;
    defaultChecked: boolean;
    checked: boolean;
    indeterminate: boolean;
    isGroup: boolean;
    'onUpdate:checked': (checked: boolean) => void;
    skipGroup: boolean;
}, {}, string, {}> & import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps & Plugin<any[]> & {
    readonly Group: typeof CheckboxGroup;
};
export default _default;
