import type { App } from 'vue-demi';
export type { BasicProps as LayoutProps } from './layout';
export type { SiderProps } from './Sider';
export declare const LayoutHeader: import("vue-demi").DefineComponent<{
    prefixCls: StringConstructor;
    hasSider: {
        type: BooleanConstructor;
        default: any;
    };
    tagName: StringConstructor;
}, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<import("vue-demi").ExtractPropTypes<{
    prefixCls: StringConstructor;
    hasSider: {
        type: BooleanConstructor;
        default: any;
    };
    tagName: StringConstructor;
}>>, {
    hasSider: boolean;
}, {}>;
export declare const LayoutFooter: import("vue-demi").DefineComponent<{
    prefixCls: StringConstructor;
    hasSider: {
        type: BooleanConstructor;
        default: any;
    };
    tagName: StringConstructor;
}, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<import("vue-demi").ExtractPropTypes<{
    prefixCls: StringConstructor;
    hasSider: {
        type: BooleanConstructor;
        default: any;
    };
    tagName: StringConstructor;
}>>, {
    hasSider: boolean;
}, {}>;
export declare const LayoutSider: import("vue-demi").DefineComponent<{
    prefixCls: StringConstructor;
    collapsible: {
        type: BooleanConstructor;
        default: any;
    };
    collapsed: {
        type: BooleanConstructor;
        default: any;
    };
    defaultCollapsed: {
        type: BooleanConstructor;
        default: any;
    };
    reverseArrow: {
        type: BooleanConstructor;
        default: any;
    };
    zeroWidthTriggerStyle: {
        type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
        default: import("vue-demi").CSSProperties;
    };
    trigger: import("vue-types").VueTypeValidableDef<any>;
    width: import("vue-types").VueTypeDef<string | number>;
    collapsedWidth: import("vue-types").VueTypeDef<string | number>;
    breakpoint: import("vue-types").VueTypeDef<string>;
    theme: import("vue-types").VueTypeDef<string> & {
        default: string;
    };
    onBreakpoint: import("vue-demi").PropType<(broken: boolean) => void>;
    onCollapse: import("vue-demi").PropType<(collapsed: boolean, type: import("./Sider").CollapseType) => void>;
}, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, ("breakpoint" | "collapse" | "update:collapsed")[], "breakpoint" | "collapse" | "update:collapsed", import("vue-demi").PublicProps, Readonly<import("vue-demi").ExtractPropTypes<{
    prefixCls: StringConstructor;
    collapsible: {
        type: BooleanConstructor;
        default: any;
    };
    collapsed: {
        type: BooleanConstructor;
        default: any;
    };
    defaultCollapsed: {
        type: BooleanConstructor;
        default: any;
    };
    reverseArrow: {
        type: BooleanConstructor;
        default: any;
    };
    zeroWidthTriggerStyle: {
        type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
        default: import("vue-demi").CSSProperties;
    };
    trigger: import("vue-types").VueTypeValidableDef<any>;
    width: import("vue-types").VueTypeDef<string | number>;
    collapsedWidth: import("vue-types").VueTypeDef<string | number>;
    breakpoint: import("vue-types").VueTypeDef<string>;
    theme: import("vue-types").VueTypeDef<string> & {
        default: string;
    };
    onBreakpoint: import("vue-demi").PropType<(broken: boolean) => void>;
    onCollapse: import("vue-demi").PropType<(collapsed: boolean, type: import("./Sider").CollapseType) => void>;
}>> & {
    onBreakpoint?: (...args: any[]) => any;
    onCollapse?: (...args: any[]) => any;
    "onUpdate:collapsed"?: (...args: any[]) => any;
}, {
    theme: string;
    collapsible: boolean;
    collapsed: boolean;
    defaultCollapsed: boolean;
    reverseArrow: boolean;
    zeroWidthTriggerStyle: import("vue-demi").CSSProperties;
}, {}>;
export declare const LayoutContent: import("vue-demi").DefineComponent<{
    prefixCls: StringConstructor;
    hasSider: {
        type: BooleanConstructor;
        default: any;
    };
    tagName: StringConstructor;
}, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<import("vue-demi").ExtractPropTypes<{
    prefixCls: StringConstructor;
    hasSider: {
        type: BooleanConstructor;
        default: any;
    };
    tagName: StringConstructor;
}>>, {
    hasSider: boolean;
}, {}>;
declare const _default: {
    new (...args: any[]): import("vue-demi").CreateComponentPublicInstance<Readonly<import("vue-demi").ExtractPropTypes<{
        prefixCls: StringConstructor;
        hasSider: {
            type: BooleanConstructor;
            default: any;
        };
        tagName: StringConstructor;
    }>>, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps & Readonly<import("vue-demi").ExtractPropTypes<{
        prefixCls: StringConstructor;
        hasSider: {
            type: BooleanConstructor;
            default: any;
        };
        tagName: StringConstructor;
    }>>, {
        hasSider: boolean;
    }, true, {}, {}, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue-demi").ExtractPropTypes<{
        prefixCls: StringConstructor;
        hasSider: {
            type: BooleanConstructor;
            default: any;
        };
        tagName: StringConstructor;
    }>>, () => import("vue/jsx-runtime").JSX.Element, {}, {}, {}, {
        hasSider: boolean;
    }>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue-demi").ComponentOptionsBase<Readonly<import("vue-demi").ExtractPropTypes<{
    prefixCls: StringConstructor;
    hasSider: {
        type: BooleanConstructor;
        default: any;
    };
    tagName: StringConstructor;
}>>, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, {
    hasSider: boolean;
}, {}, string, {}> & import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps & {
    Header: import("vue-demi").DefineComponent<{
        prefixCls: StringConstructor;
        hasSider: {
            type: BooleanConstructor;
            default: any;
        };
        tagName: StringConstructor;
    }, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<import("vue-demi").ExtractPropTypes<{
        prefixCls: StringConstructor;
        hasSider: {
            type: BooleanConstructor;
            default: any;
        };
        tagName: StringConstructor;
    }>>, {
        hasSider: boolean;
    }, {}>;
    Footer: import("vue-demi").DefineComponent<{
        prefixCls: StringConstructor;
        hasSider: {
            type: BooleanConstructor;
            default: any;
        };
        tagName: StringConstructor;
    }, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<import("vue-demi").ExtractPropTypes<{
        prefixCls: StringConstructor;
        hasSider: {
            type: BooleanConstructor;
            default: any;
        };
        tagName: StringConstructor;
    }>>, {
        hasSider: boolean;
    }, {}>;
    Content: import("vue-demi").DefineComponent<{
        prefixCls: StringConstructor;
        hasSider: {
            type: BooleanConstructor;
            default: any;
        };
        tagName: StringConstructor;
    }, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<import("vue-demi").ExtractPropTypes<{
        prefixCls: StringConstructor;
        hasSider: {
            type: BooleanConstructor;
            default: any;
        };
        tagName: StringConstructor;
    }>>, {
        hasSider: boolean;
    }, {}>;
    Sider: import("vue-demi").DefineComponent<{
        prefixCls: StringConstructor;
        collapsible: {
            type: BooleanConstructor;
            default: any;
        };
        collapsed: {
            type: BooleanConstructor;
            default: any;
        };
        defaultCollapsed: {
            type: BooleanConstructor;
            default: any;
        };
        reverseArrow: {
            type: BooleanConstructor;
            default: any;
        };
        zeroWidthTriggerStyle: {
            type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
            default: import("vue-demi").CSSProperties;
        };
        trigger: import("vue-types").VueTypeValidableDef<any>;
        width: import("vue-types").VueTypeDef<string | number>;
        collapsedWidth: import("vue-types").VueTypeDef<string | number>;
        breakpoint: import("vue-types").VueTypeDef<string>;
        theme: import("vue-types").VueTypeDef<string> & {
            default: string;
        };
        onBreakpoint: import("vue-demi").PropType<(broken: boolean) => void>;
        onCollapse: import("vue-demi").PropType<(collapsed: boolean, type: import("./Sider").CollapseType) => void>;
    }, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, ("breakpoint" | "collapse" | "update:collapsed")[], "breakpoint" | "collapse" | "update:collapsed", import("vue-demi").PublicProps, Readonly<import("vue-demi").ExtractPropTypes<{
        prefixCls: StringConstructor;
        collapsible: {
            type: BooleanConstructor;
            default: any;
        };
        collapsed: {
            type: BooleanConstructor;
            default: any;
        };
        defaultCollapsed: {
            type: BooleanConstructor;
            default: any;
        };
        reverseArrow: {
            type: BooleanConstructor;
            default: any;
        };
        zeroWidthTriggerStyle: {
            type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
            default: import("vue-demi").CSSProperties;
        };
        trigger: import("vue-types").VueTypeValidableDef<any>;
        width: import("vue-types").VueTypeDef<string | number>;
        collapsedWidth: import("vue-types").VueTypeDef<string | number>;
        breakpoint: import("vue-types").VueTypeDef<string>;
        theme: import("vue-types").VueTypeDef<string> & {
            default: string;
        };
        onBreakpoint: import("vue-demi").PropType<(broken: boolean) => void>;
        onCollapse: import("vue-demi").PropType<(collapsed: boolean, type: import("./Sider").CollapseType) => void>;
    }>> & {
        onBreakpoint?: (...args: any[]) => any;
        onCollapse?: (...args: any[]) => any;
        "onUpdate:collapsed"?: (...args: any[]) => any;
    }, {
        theme: string;
        collapsible: boolean;
        collapsed: boolean;
        defaultCollapsed: boolean;
        reverseArrow: boolean;
        zeroWidthTriggerStyle: import("vue-demi").CSSProperties;
    }, {}>;
    install: (app: App) => App<any>;
};
export default _default;
