import type { ExtractPropTypes, PropType } from 'vue-demi';
import type { Direction } from '../config-provider';
import type { AutoSizeType } from '../input/inputProps';
declare const editableProps: () => {
    prefixCls: StringConstructor;
    value: StringConstructor;
    maxlength: NumberConstructor;
    autoSize: {
        type: PropType<boolean | AutoSizeType>;
    };
    onSave: PropType<(val: string) => void>;
    onCancel: PropType<() => void>;
    onEnd: PropType<() => void>;
    onChange: PropType<(val: string) => void>;
    originContent: StringConstructor;
    direction: PropType<Direction>;
    component: StringConstructor;
};
export type EditableProps = Partial<ExtractPropTypes<ReturnType<typeof editableProps>>>;
declare const Editable: import("vue-demi").DefineComponent<{
    prefixCls: StringConstructor;
    value: StringConstructor;
    maxlength: NumberConstructor;
    autoSize: {
        type: PropType<boolean | AutoSizeType>;
    };
    onSave: PropType<(val: string) => void>;
    onCancel: PropType<() => void>;
    onEnd: PropType<() => void>;
    onChange: PropType<(val: string) => void>;
    originContent: StringConstructor;
    direction: PropType<Direction>;
    component: StringConstructor;
}, () => import("../_util/type").VueNode, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<ExtractPropTypes<{
    prefixCls: StringConstructor;
    value: StringConstructor;
    maxlength: NumberConstructor;
    autoSize: {
        type: PropType<boolean | AutoSizeType>;
    };
    onSave: PropType<(val: string) => void>;
    onCancel: PropType<() => void>;
    onEnd: PropType<() => void>;
    onChange: PropType<(val: string) => void>;
    originContent: StringConstructor;
    direction: PropType<Direction>;
    component: StringConstructor;
}>>, {}, {}>;
export default Editable;
