import type { VueNode } from '../../_util/type';
import type { ExtractPropTypes, HTMLAttributes } from 'vue-demi';
export declare const baseOptionsProps: {
    value: StringConstructor;
    disabled: BooleanConstructor;
    payload: {
        type: import("vue-demi").PropType<Record<string, any>>;
        default: Record<string, any>;
    };
};
export declare const optionProps: {
    label: {
        default: VueNode | ((o: BaseOptionsProps) => VueNode);
        type: import("vue-demi").PropType<VueNode | ((o: BaseOptionsProps) => VueNode)>;
    };
    value: StringConstructor;
    disabled: BooleanConstructor;
    payload: {
        type: import("vue-demi").PropType<Record<string, any>>;
        default: Record<string, any>;
    };
};
export type BaseOptionsProps = Partial<ExtractPropTypes<typeof baseOptionsProps>> & Partial<HTMLAttributes>;
export type OptionProps = Partial<ExtractPropTypes<typeof optionProps>> & Partial<HTMLAttributes>;
export declare const optionOptions: {
    name: string;
    props: {
        label: {
            default: VueNode | ((o: BaseOptionsProps) => VueNode);
            type: import("vue-demi").PropType<VueNode | ((o: BaseOptionsProps) => VueNode)>;
        };
        value: StringConstructor;
        disabled: BooleanConstructor;
        payload: {
            type: import("vue-demi").PropType<Record<string, any>>;
            default: Record<string, any>;
        };
    };
    render(_props: any, { slots }: any): any;
};
declare const _default: import("vue-demi").DefineComponent<{
    label: {
        default: VueNode | ((o: BaseOptionsProps) => VueNode);
        type: import("vue-demi").PropType<VueNode | ((o: BaseOptionsProps) => VueNode)>;
    };
    value: StringConstructor;
    disabled: BooleanConstructor;
    payload: {
        type: import("vue-demi").PropType<Record<string, any>>;
        default: Record<string, any>;
    };
}, unknown, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<ExtractPropTypes<{
    label: {
        default: VueNode | ((o: BaseOptionsProps) => VueNode);
        type: import("vue-demi").PropType<VueNode | ((o: BaseOptionsProps) => VueNode)>;
    };
    value: StringConstructor;
    disabled: BooleanConstructor;
    payload: {
        type: import("vue-demi").PropType<Record<string, any>>;
        default: Record<string, any>;
    };
}>>, {
    label: VueNode | ((o: BaseOptionsProps) => VueNode);
    disabled: boolean;
    payload: Record<string, any>;
}, {}>;
export default _default;
