import type { HeaderProps } from '../Header/Header';
export interface FixedHeaderProps<RecordType> extends HeaderProps<RecordType> {
    noData: boolean;
    maxContentScroll: boolean;
    colWidths: readonly number[];
    columCount: number;
    direction: 'ltr' | 'rtl';
    fixHeader: boolean;
    stickyTopOffset?: number;
    stickyBottomOffset?: number;
    stickyClassName?: string;
    onScroll: (info: {
        currentTarget: HTMLDivElement;
        scrollLeft?: number;
    }) => void;
}
declare const _default: import("vue-demi").DefineComponent<FixedHeaderProps<any>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<FixedHeaderProps<any>>, {}, {}>;
export default _default;
