declare const DefaultPanel: import("vue-demi").DefineComponent<{
    prefixCls: {
        type: StringConstructor;
    };
    total: {
        type: NumberConstructor;
    };
    current: {
        type: NumberConstructor;
    };
    onClose: {
        type: import("vue-demi").PropType<(e: MouseEvent) => void>;
        default: (e: MouseEvent) => void;
    };
    onFinish: {
        type: import("vue-demi").PropType<(e: MouseEvent) => void>;
        default: (e: MouseEvent) => void;
    };
    renderPanel: {
        type: import("vue-demi").PropType<(step: any, current: number) => import("../../_util/type").VueNode>;
        default: (step: any, current: number) => import("../../_util/type").VueNode;
    };
    onPrev: {
        type: import("vue-demi").PropType<(e: MouseEvent) => void>;
        default: (e: MouseEvent) => void;
    };
    onNext: {
        type: import("vue-demi").PropType<(e: MouseEvent) => void>;
        default: (e: MouseEvent) => void;
    };
    arrow: {
        type: import("vue-demi").PropType<boolean | {
            pointAtCenter: boolean;
        }>;
        default: boolean | {
            pointAtCenter: boolean;
        };
    };
    target: {
        type: import("vue-demi").PropType<HTMLElement | (() => HTMLElement) | (() => null)>;
        default: HTMLElement | (() => HTMLElement) | (() => null);
    };
    title: {
        type: import("vue-demi").PropType<import("../../_util/type").VueNode>;
        default: import("../../_util/type").VueNode;
    };
    description: {
        type: import("vue-demi").PropType<import("../../_util/type").VueNode>;
        default: import("../../_util/type").VueNode;
    };
    placement: {
        type: import("vue-demi").PropType<import("../placements").PlacementType>;
        default: import("../placements").PlacementType;
    };
    mask: {
        type: import("vue-demi").PropType<boolean | {
            style?: import("vue-demi").CSSProperties;
            color?: string;
        }>;
        default: boolean | {
            style?: import("vue-demi").CSSProperties;
            color?: string;
        };
    };
    className: {
        type: StringConstructor;
    };
    style: {
        type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
        default: import("vue-demi").CSSProperties;
    };
    scrollIntoViewOptions: {
        type: import("vue-demi").PropType<boolean | ScrollIntoViewOptions>;
        default: boolean | ScrollIntoViewOptions;
    };
}, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<import("vue-demi").ExtractPropTypes<{
    prefixCls: {
        type: StringConstructor;
    };
    total: {
        type: NumberConstructor;
    };
    current: {
        type: NumberConstructor;
    };
    onClose: {
        type: import("vue-demi").PropType<(e: MouseEvent) => void>;
        default: (e: MouseEvent) => void;
    };
    onFinish: {
        type: import("vue-demi").PropType<(e: MouseEvent) => void>;
        default: (e: MouseEvent) => void;
    };
    renderPanel: {
        type: import("vue-demi").PropType<(step: any, current: number) => import("../../_util/type").VueNode>;
        default: (step: any, current: number) => import("../../_util/type").VueNode;
    };
    onPrev: {
        type: import("vue-demi").PropType<(e: MouseEvent) => void>;
        default: (e: MouseEvent) => void;
    };
    onNext: {
        type: import("vue-demi").PropType<(e: MouseEvent) => void>;
        default: (e: MouseEvent) => void;
    };
    arrow: {
        type: import("vue-demi").PropType<boolean | {
            pointAtCenter: boolean;
        }>;
        default: boolean | {
            pointAtCenter: boolean;
        };
    };
    target: {
        type: import("vue-demi").PropType<HTMLElement | (() => HTMLElement) | (() => null)>;
        default: HTMLElement | (() => HTMLElement) | (() => null);
    };
    title: {
        type: import("vue-demi").PropType<import("../../_util/type").VueNode>;
        default: import("../../_util/type").VueNode;
    };
    description: {
        type: import("vue-demi").PropType<import("../../_util/type").VueNode>;
        default: import("../../_util/type").VueNode;
    };
    placement: {
        type: import("vue-demi").PropType<import("../placements").PlacementType>;
        default: import("../placements").PlacementType;
    };
    mask: {
        type: import("vue-demi").PropType<boolean | {
            style?: import("vue-demi").CSSProperties;
            color?: string;
        }>;
        default: boolean | {
            style?: import("vue-demi").CSSProperties;
            color?: string;
        };
    };
    className: {
        type: StringConstructor;
    };
    style: {
        type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
        default: import("vue-demi").CSSProperties;
    };
    scrollIntoViewOptions: {
        type: import("vue-demi").PropType<boolean | ScrollIntoViewOptions>;
        default: boolean | ScrollIntoViewOptions;
    };
}>>, {
    style: import("vue-demi").CSSProperties;
    title: import("../../_util/type").VueNode;
    mask: boolean | {
        style?: import("vue-demi").CSSProperties;
        color?: string;
    };
    description: import("../../_util/type").VueNode;
    onClose: (e: MouseEvent) => void;
    onPrev: (e: MouseEvent) => void;
    onNext: (e: MouseEvent) => void;
    target: HTMLElement | (() => HTMLElement) | (() => null);
    placement: import("../placements").PlacementType;
    arrow: boolean | {
        pointAtCenter: boolean;
    };
    scrollIntoViewOptions: boolean | ScrollIntoViewOptions;
    onFinish: (e: MouseEvent) => void;
    renderPanel: (step: any, current: number) => import("../../_util/type").VueNode;
}, {}>;
export default DefaultPanel;
