import type { RcFile, UploadProgressEvent, BeforeUploadFileType } from './interface';
declare const _default: import("vue-demi").DefineComponent<{
    capture: import("vue-demi").PropType<boolean | "user" | "environment">;
    multipart: {
        type: BooleanConstructor;
        default: any;
    };
    name: StringConstructor;
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    componentTag: import("vue-demi").PropType<any>;
    action: import("vue-demi").PropType<import("./interface").Action>;
    method: import("vue-demi").PropType<import("./interface").UploadRequestMethod>;
    directory: {
        type: BooleanConstructor;
        default: any;
    };
    data: import("vue-demi").PropType<Record<string, unknown> | ((file: string | Blob | RcFile) => Record<string, unknown>)>;
    headers: import("vue-demi").PropType<import("./interface").UploadRequestHeader>;
    accept: StringConstructor;
    multiple: {
        type: BooleanConstructor;
        default: any;
    };
    onBatchStart: import("vue-demi").PropType<(fileList: {
        file: RcFile;
        parsedFile: string | File | Blob;
    }[]) => void>;
    onReject: import("vue-demi").PropType<(fileList: RcFile[]) => void>;
    onStart: import("vue-demi").PropType<(file: RcFile) => void>;
    onError: import("vue-demi").PropType<(error: Error, ret: Record<string, unknown>, file: RcFile) => void>;
    onSuccess: import("vue-demi").PropType<(response: Record<string, unknown>, file: RcFile, xhr: XMLHttpRequest) => void>;
    onProgress: import("vue-demi").PropType<(event: UploadProgressEvent, file: RcFile) => void>;
    beforeUpload: import("vue-demi").PropType<(file: RcFile, FileList: RcFile[]) => BeforeUploadFileType | Promise<void | BeforeUploadFileType>>;
    customRequest: import("vue-demi").PropType<(option: import("./interface").UploadRequestOption<any>) => void>;
    withCredentials: {
        type: BooleanConstructor;
        default: any;
    };
    openFileDialogOnClick: {
        type: BooleanConstructor;
        default: any;
    };
    prefixCls: StringConstructor;
    id: StringConstructor;
    onMouseenter: import("vue-demi").PropType<(e: MouseEvent) => void>;
    onMouseleave: import("vue-demi").PropType<(e: MouseEvent) => void>;
    onClick: import("vue-demi").PropType<(e: MouseEvent | KeyboardEvent) => void>;
}, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<import("vue-demi").ExtractPropTypes<{
    capture: import("vue-demi").PropType<boolean | "user" | "environment">;
    multipart: {
        type: BooleanConstructor;
        default: any;
    };
    name: StringConstructor;
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    componentTag: import("vue-demi").PropType<any>;
    action: import("vue-demi").PropType<import("./interface").Action>;
    method: import("vue-demi").PropType<import("./interface").UploadRequestMethod>;
    directory: {
        type: BooleanConstructor;
        default: any;
    };
    data: import("vue-demi").PropType<Record<string, unknown> | ((file: string | Blob | RcFile) => Record<string, unknown>)>;
    headers: import("vue-demi").PropType<import("./interface").UploadRequestHeader>;
    accept: StringConstructor;
    multiple: {
        type: BooleanConstructor;
        default: any;
    };
    onBatchStart: import("vue-demi").PropType<(fileList: {
        file: RcFile;
        parsedFile: string | File | Blob;
    }[]) => void>;
    onReject: import("vue-demi").PropType<(fileList: RcFile[]) => void>;
    onStart: import("vue-demi").PropType<(file: RcFile) => void>;
    onError: import("vue-demi").PropType<(error: Error, ret: Record<string, unknown>, file: RcFile) => void>;
    onSuccess: import("vue-demi").PropType<(response: Record<string, unknown>, file: RcFile, xhr: XMLHttpRequest) => void>;
    onProgress: import("vue-demi").PropType<(event: UploadProgressEvent, file: RcFile) => void>;
    beforeUpload: import("vue-demi").PropType<(file: RcFile, FileList: RcFile[]) => BeforeUploadFileType | Promise<void | BeforeUploadFileType>>;
    customRequest: import("vue-demi").PropType<(option: import("./interface").UploadRequestOption<any>) => void>;
    withCredentials: {
        type: BooleanConstructor;
        default: any;
    };
    openFileDialogOnClick: {
        type: BooleanConstructor;
        default: any;
    };
    prefixCls: StringConstructor;
    id: StringConstructor;
    onMouseenter: import("vue-demi").PropType<(e: MouseEvent) => void>;
    onMouseleave: import("vue-demi").PropType<(e: MouseEvent) => void>;
    onClick: import("vue-demi").PropType<(e: MouseEvent | KeyboardEvent) => void>;
}>>, {
    multiple: boolean;
    disabled: boolean;
    multipart: boolean;
    directory: boolean;
    withCredentials: boolean;
    openFileDialogOnClick: boolean;
}, {}>;
export default _default;
