import type { Plugin } from 'vue-demi';
import Ribbon from './Ribbon';
export type { BadgeProps } from './Badge';
export { Ribbon as BadgeRibbon };
declare const _default: {
    new (...args: any[]): import("vue-demi").CreateComponentPublicInstance<Readonly<import("vue-demi").ExtractPropTypes<{
        count: import("vue-types").VueTypeValidableDef<any> & {
            default: any;
        };
        showZero: {
            type: BooleanConstructor;
            default: any;
        };
        overflowCount: {
            type: NumberConstructor;
            default: number;
        };
        dot: {
            type: BooleanConstructor;
            default: any;
        };
        prefixCls: StringConstructor;
        scrollNumberPrefixCls: StringConstructor;
        status: {
            type: import("vue-demi").PropType<"error" | "default" | "success" | "processing" | "warning">;
        };
        size: {
            type: import("vue-demi").PropType<"small" | "default">;
            default: string;
        };
        color: import("vue-demi").PropType<import("../_util/type").LiteralUnion<"blue" | "cyan" | "gold" | "green" | "lime" | "magenta" | "orange" | "pink" | "purple" | "red" | "yellow" | "volcano" | "geekblue">>;
        text: import("vue-types").VueTypeValidableDef<any>;
        offset: import("vue-demi").PropType<[string | number, string | number]>;
        numberStyle: {
            type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
            default: import("vue-demi").CSSProperties;
        };
        title: StringConstructor;
    }>>, () => import("../_util/type").VueNode, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps & Readonly<import("vue-demi").ExtractPropTypes<{
        count: import("vue-types").VueTypeValidableDef<any> & {
            default: any;
        };
        showZero: {
            type: BooleanConstructor;
            default: any;
        };
        overflowCount: {
            type: NumberConstructor;
            default: number;
        };
        dot: {
            type: BooleanConstructor;
            default: any;
        };
        prefixCls: StringConstructor;
        scrollNumberPrefixCls: StringConstructor;
        status: {
            type: import("vue-demi").PropType<"error" | "default" | "success" | "processing" | "warning">;
        };
        size: {
            type: import("vue-demi").PropType<"small" | "default">;
            default: string;
        };
        color: import("vue-demi").PropType<import("../_util/type").LiteralUnion<"blue" | "cyan" | "gold" | "green" | "lime" | "magenta" | "orange" | "pink" | "purple" | "red" | "yellow" | "volcano" | "geekblue">>;
        text: import("vue-types").VueTypeValidableDef<any>;
        offset: import("vue-demi").PropType<[string | number, string | number]>;
        numberStyle: {
            type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
            default: import("vue-demi").CSSProperties;
        };
        title: StringConstructor;
    }>>, {
        size: "small" | "default";
        dot: boolean;
        count: any;
        showZero: boolean;
        overflowCount: number;
        numberStyle: import("vue-demi").CSSProperties;
    }, true, {}, import("../_util/type").CustomSlotsType<{
        text: any;
        count: any;
        default: any;
    }>, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue-demi").ExtractPropTypes<{
        count: import("vue-types").VueTypeValidableDef<any> & {
            default: any;
        };
        showZero: {
            type: BooleanConstructor;
            default: any;
        };
        overflowCount: {
            type: NumberConstructor;
            default: number;
        };
        dot: {
            type: BooleanConstructor;
            default: any;
        };
        prefixCls: StringConstructor;
        scrollNumberPrefixCls: StringConstructor;
        status: {
            type: import("vue-demi").PropType<"error" | "default" | "success" | "processing" | "warning">;
        };
        size: {
            type: import("vue-demi").PropType<"small" | "default">;
            default: string;
        };
        color: import("vue-demi").PropType<import("../_util/type").LiteralUnion<"blue" | "cyan" | "gold" | "green" | "lime" | "magenta" | "orange" | "pink" | "purple" | "red" | "yellow" | "volcano" | "geekblue">>;
        text: import("vue-types").VueTypeValidableDef<any>;
        offset: import("vue-demi").PropType<[string | number, string | number]>;
        numberStyle: {
            type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
            default: import("vue-demi").CSSProperties;
        };
        title: StringConstructor;
    }>>, () => import("../_util/type").VueNode, {}, {}, {}, {
        size: "small" | "default";
        dot: boolean;
        count: any;
        showZero: boolean;
        overflowCount: number;
        numberStyle: import("vue-demi").CSSProperties;
    }>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue-demi").ComponentOptionsBase<Readonly<import("vue-demi").ExtractPropTypes<{
    count: import("vue-types").VueTypeValidableDef<any> & {
        default: any;
    };
    showZero: {
        type: BooleanConstructor;
        default: any;
    };
    overflowCount: {
        type: NumberConstructor;
        default: number;
    };
    dot: {
        type: BooleanConstructor;
        default: any;
    };
    prefixCls: StringConstructor;
    scrollNumberPrefixCls: StringConstructor;
    status: {
        type: import("vue-demi").PropType<"error" | "default" | "success" | "processing" | "warning">;
    };
    size: {
        type: import("vue-demi").PropType<"small" | "default">;
        default: string;
    };
    color: import("vue-demi").PropType<import("../_util/type").LiteralUnion<"blue" | "cyan" | "gold" | "green" | "lime" | "magenta" | "orange" | "pink" | "purple" | "red" | "yellow" | "volcano" | "geekblue">>;
    text: import("vue-types").VueTypeValidableDef<any>;
    offset: import("vue-demi").PropType<[string | number, string | number]>;
    numberStyle: {
        type: import("vue-demi").PropType<import("vue-demi").CSSProperties>;
        default: import("vue-demi").CSSProperties;
    };
    title: StringConstructor;
}>>, () => import("../_util/type").VueNode, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, {
    size: "small" | "default";
    dot: boolean;
    count: any;
    showZero: boolean;
    overflowCount: number;
    numberStyle: import("vue-demi").CSSProperties;
}, {}, string, import("../_util/type").CustomSlotsType<{
    text: any;
    count: any;
    default: any;
}>> & import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps & Plugin<any[]> & {
    readonly Ribbon: typeof Ribbon;
};
export default _default;
