import type { ComputedRef } from 'vue-demi';
import type { ValidateStatus } from './FormItem';
export type FormItemContext = {
    id: ComputedRef<string>;
    onFieldBlur: () => void;
    onFieldChange: () => void;
    clearValidate: () => void;
};
export declare const useProvideFormItemContext: (props: FormItemContext, useValidation?: ComputedRef<boolean>) => void;
export declare const useInjectFormItemContext: () => FormItemContext;
declare const _default: import("vue-demi").DefineComponent<{}, () => import("vue-demi").VNode<import("vue-demi").RendererNode, import("vue-demi").RendererElement, {
    [key: string]: any;
}>[], {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<import("vue-demi").ExtractPropTypes<{}>>, {}, {}>;
export default _default;
export interface FormItemStatusContextProps {
    isFormItemInput?: boolean;
    status?: ValidateStatus;
    hasFeedback?: boolean;
    feedbackIcon?: any;
}
export declare const FormItemInputContext: {
    useProvide: (props: FormItemStatusContextProps, newProps?: FormItemStatusContextProps) => {
        isFormItemInput?: boolean;
        status?: ValidateStatus;
        hasFeedback?: boolean;
        feedbackIcon?: any;
    };
    useInject: () => FormItemStatusContextProps;
};
export declare const NoFormStatus: import("vue-demi").DefineComponent<{}, () => import("vue-demi").VNode<import("vue-demi").RendererNode, import("vue-demi").RendererElement, {
    [key: string]: any;
}>[], {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<import("vue-demi").ExtractPropTypes<{}>>, {}, {}>;
