import type { ImageSettings } from './interface';
export declare const QRCodeCanvas: import("vue-demi").DefineComponent<{
    level: StringConstructor;
    bgColor: StringConstructor;
    fgColor: StringConstructor;
    marginSize: NumberConstructor;
    size: {
        type: NumberConstructor;
        default: number;
    };
    value: {
        type: StringConstructor;
        required: boolean;
    };
    type: {
        type: import("vue-demi").PropType<"canvas" | "svg">;
        default: "canvas" | "svg";
    };
    color: StringConstructor;
    includeMargin: BooleanConstructor;
    imageSettings: {
        type: import("vue-demi").PropType<ImageSettings>;
        default: ImageSettings;
    };
}, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<import("vue-demi").ExtractPropTypes<{
    level: StringConstructor;
    bgColor: StringConstructor;
    fgColor: StringConstructor;
    marginSize: NumberConstructor;
    size: {
        type: NumberConstructor;
        default: number;
    };
    value: {
        type: StringConstructor;
        required: boolean;
    };
    type: {
        type: import("vue-demi").PropType<"canvas" | "svg">;
        default: "canvas" | "svg";
    };
    color: StringConstructor;
    includeMargin: BooleanConstructor;
    imageSettings: {
        type: import("vue-demi").PropType<ImageSettings>;
        default: ImageSettings;
    };
}>>, {
    size: number;
    type: "canvas" | "svg";
    includeMargin: boolean;
    imageSettings: ImageSettings;
}, {}>;
export declare const QRCodeSVG: import("vue-demi").DefineComponent<{
    color: StringConstructor;
    level: StringConstructor;
    bgColor: StringConstructor;
    fgColor: StringConstructor;
    marginSize: NumberConstructor;
    title: StringConstructor;
    size: {
        type: NumberConstructor;
        default: number;
    };
    value: {
        type: StringConstructor;
        required: boolean;
    };
    type: {
        type: import("vue-demi").PropType<"canvas" | "svg">;
        default: "canvas" | "svg";
    };
    includeMargin: BooleanConstructor;
    imageSettings: {
        type: import("vue-demi").PropType<ImageSettings>;
        default: ImageSettings;
    };
}, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<import("vue-demi").ExtractPropTypes<{
    color: StringConstructor;
    level: StringConstructor;
    bgColor: StringConstructor;
    fgColor: StringConstructor;
    marginSize: NumberConstructor;
    title: StringConstructor;
    size: {
        type: NumberConstructor;
        default: number;
    };
    value: {
        type: StringConstructor;
        required: boolean;
    };
    type: {
        type: import("vue-demi").PropType<"canvas" | "svg">;
        default: "canvas" | "svg";
    };
    includeMargin: BooleanConstructor;
    imageSettings: {
        type: import("vue-demi").PropType<ImageSettings>;
        default: ImageSettings;
    };
}>>, {
    size: number;
    type: "canvas" | "svg";
    includeMargin: boolean;
    imageSettings: ImageSettings;
}, {}>;
