"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useProvideTableContext = exports.useProvideSlots = exports.useInjectTableContext = exports.useInjectSlots = void 0;
var _vueDemi = require("vue-demi");
const SlotsContextKey = Symbol('SlotsContextProps');
const useProvideSlots = props => {
  (0, _vueDemi.provide)(SlotsContextKey, props);
};
exports.useProvideSlots = useProvideSlots;
const useInjectSlots = () => {
  return (0, _vueDemi.inject)(SlotsContextKey, (0, _vueDemi.computed)(() => ({})));
};
exports.useInjectSlots = useInjectSlots;
const ContextKey = Symbol('ContextProps');
const useProvideTableContext = props => {
  (0, _vueDemi.provide)(ContextKey, props);
};
exports.useProvideTableContext = useProvideTableContext;
const useInjectTableContext = () => {
  return (0, _vueDemi.inject)(ContextKey, {
    onResizeColumn: () => {}
  });
};
exports.useInjectTableContext = useInjectTableContext;