import type { ExtractPropTypes } from 'vue-demi';
import type { CustomSlotsType } from '../_util/type';
export declare const timelineProps: () => {
    prefixCls: StringConstructor;
    /** 指定最后一个幽灵节点是否存在或内容 */
    pending: import("vue-types").VueTypeValidableDef<any>;
    pendingDot: import("vue-types").VueTypeValidableDef<any>;
    reverse: {
        type: BooleanConstructor;
        default: boolean;
    };
    mode: import("vue-types").VueTypeDef<string>;
};
export type TimelineProps = Partial<ExtractPropTypes<ReturnType<typeof timelineProps>>>;
declare const _default: import("vue-demi").DefineComponent<{
    prefixCls: StringConstructor;
    /** 指定最后一个幽灵节点是否存在或内容 */
    pending: import("vue-types").VueTypeValidableDef<any>;
    pendingDot: import("vue-types").VueTypeValidableDef<any>;
    reverse: {
        type: BooleanConstructor;
        default: boolean;
    };
    mode: import("vue-types").VueTypeDef<string>;
}, () => import("../_util/type").VueNode, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<ExtractPropTypes<{
    prefixCls: StringConstructor;
    /** 指定最后一个幽灵节点是否存在或内容 */
    pending: import("vue-types").VueTypeValidableDef<any>;
    pendingDot: import("vue-types").VueTypeValidableDef<any>;
    reverse: {
        type: BooleanConstructor;
        default: boolean;
    };
    mode: import("vue-types").VueTypeDef<string>;
}>>, {
    reverse: boolean;
}, CustomSlotsType<{
    pending?: any;
    pendingDot?: any;
    default?: any;
}>>;
export default _default;
