"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useInjectSelectContext;
exports.useProvideSelectContext = useProvideSelectContext;
var _vueDemi = require("vue-demi");
const TreeSelectContextPropsKey = Symbol('TreeSelectContextPropsKey');
function useProvideSelectContext(props) {
  return (0, _vueDemi.provide)(TreeSelectContextPropsKey, props);
}
function useInjectSelectContext() {
  return (0, _vueDemi.inject)(TreeSelectContextPropsKey, {});
}