/**
 * Handle virtual list of the TreeNodes.
 */
import type { FlattenNode, DataEntity, ScrollTo } from './interface';
export declare const MOTION_KEY: string;
export declare const MotionEntity: DataEntity;
export interface NodeListRef {
    scrollTo: ScrollTo;
    getIndentWidth: () => number;
}
/**
 * We only need get visible content items to play the animation.
 */
export declare function getMinimumRangeTransitionRange(list: FlattenNode[], virtual: boolean, height: number, itemHeight: number): FlattenNode[];
declare const _default: import("vue-demi").DefineComponent<{
    prefixCls: {
        type: import("vue-demi").PropType<string>;
    };
    motion: {
        type: import("vue-demi").PropType<any>;
    };
    focusable: {
        type: import("vue-demi").PropType<boolean>;
    };
    activeItem: {
        type: import("vue-demi").PropType<FlattenNode>;
    };
    focused: {
        type: import("vue-demi").PropType<boolean>;
    };
    tabindex: {
        type: import("vue-demi").PropType<number>;
    };
    checkable: {
        type: import("vue-demi").PropType<boolean>;
    };
    selectable: {
        type: import("vue-demi").PropType<boolean>;
    };
    disabled: {
        type: import("vue-demi").PropType<boolean>;
    };
    height: {
        type: import("vue-demi").PropType<number>;
    };
    itemHeight: {
        type: import("vue-demi").PropType<number>;
    };
    virtual: {
        type: import("vue-demi").PropType<boolean>;
    };
    onScroll: {
        type: import("vue-demi").PropType<import("../_util/EventInterface").EventHandler>;
    };
    onKeydown: {
        type: import("vue-demi").PropType<import("../_util/EventInterface").EventHandler>;
    };
    onFocus: {
        type: import("vue-demi").PropType<(e: FocusEvent) => void>;
    };
    onBlur: {
        type: import("vue-demi").PropType<(e: FocusEvent) => void>;
    };
    onActiveChange: {
        type: import("vue-demi").PropType<(key: import("./interface").Key) => void>;
    };
    onContextmenu: {
        type: import("vue-demi").PropType<import("../_util/EventInterface").EventHandler>;
    };
    onListChangeStart: {
        type: import("vue-demi").PropType<() => void>;
    };
    onListChangeEnd: {
        type: import("vue-demi").PropType<() => void>;
    };
}, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<import("vue-demi").ExtractPropTypes<{
    prefixCls: {
        type: import("vue-demi").PropType<string>;
    };
    motion: {
        type: import("vue-demi").PropType<any>;
    };
    focusable: {
        type: import("vue-demi").PropType<boolean>;
    };
    activeItem: {
        type: import("vue-demi").PropType<FlattenNode>;
    };
    focused: {
        type: import("vue-demi").PropType<boolean>;
    };
    tabindex: {
        type: import("vue-demi").PropType<number>;
    };
    checkable: {
        type: import("vue-demi").PropType<boolean>;
    };
    selectable: {
        type: import("vue-demi").PropType<boolean>;
    };
    disabled: {
        type: import("vue-demi").PropType<boolean>;
    };
    height: {
        type: import("vue-demi").PropType<number>;
    };
    itemHeight: {
        type: import("vue-demi").PropType<number>;
    };
    virtual: {
        type: import("vue-demi").PropType<boolean>;
    };
    onScroll: {
        type: import("vue-demi").PropType<import("../_util/EventInterface").EventHandler>;
    };
    onKeydown: {
        type: import("vue-demi").PropType<import("../_util/EventInterface").EventHandler>;
    };
    onFocus: {
        type: import("vue-demi").PropType<(e: FocusEvent) => void>;
    };
    onBlur: {
        type: import("vue-demi").PropType<(e: FocusEvent) => void>;
    };
    onActiveChange: {
        type: import("vue-demi").PropType<(key: import("./interface").Key) => void>;
    };
    onContextmenu: {
        type: import("vue-demi").PropType<import("../_util/EventInterface").EventHandler>;
    };
    onListChangeStart: {
        type: import("vue-demi").PropType<() => void>;
    };
    onListChangeEnd: {
        type: import("vue-demi").PropType<() => void>;
    };
}>>, {}, {}>;
export default _default;
