import type { ExtractPropTypes, ImgHTMLAttributes, Plugin } from 'vue-demi';
import { imageProps } from '../vc-image/src/Image';
import PreviewGroup from './PreviewGroup';
export type ImageProps = Partial<ExtractPropTypes<ReturnType<typeof imageProps>> & Omit<ImgHTMLAttributes, 'placeholder' | 'onClick'>>;
export { imageProps };
export { PreviewGroup as ImagePreviewGroup };
declare const _default: {
    new (...args: any[]): import("vue-demi").CreateComponentPublicInstance<Readonly<Partial<{
        preview: boolean | import("../vc-image").ImagePreviewType;
        wrapperStyle: import("vue-demi").CSSProperties;
    } & {
        onClick?: import("../_util/EventInterface").MouseEventHandler;
        onError?: OnErrorEventHandlerNonNull;
        prefixCls?: string;
        wrapperClassName?: string;
        placeholder?: any;
        rootClassName?: string;
        src?: string;
        previewPrefixCls?: string;
        previewMask?: false | (() => any);
        fallback?: string;
    } & Omit<ImgHTMLAttributes, "onClick" | "placeholder">>>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps & Readonly<Partial<{
        preview: boolean | import("../vc-image").ImagePreviewType;
        wrapperStyle: import("vue-demi").CSSProperties;
    } & {
        onClick?: import("../_util/EventInterface").MouseEventHandler;
        onError?: OnErrorEventHandlerNonNull;
        prefixCls?: string;
        wrapperClassName?: string;
        placeholder?: any;
        rootClassName?: string;
        src?: string;
        previewPrefixCls?: string;
        previewMask?: false | (() => any);
        fallback?: string;
    } & Omit<ImgHTMLAttributes, "onClick" | "placeholder">>>, {
        class?: any;
        placeholder?: any;
        inlist?: any;
    }, true, {}, {}, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<Partial<{
        preview: boolean | import("../vc-image").ImagePreviewType;
        wrapperStyle: import("vue-demi").CSSProperties;
    } & {
        onClick?: import("../_util/EventInterface").MouseEventHandler;
        onError?: OnErrorEventHandlerNonNull;
        prefixCls?: string;
        wrapperClassName?: string;
        placeholder?: any;
        rootClassName?: string;
        src?: string;
        previewPrefixCls?: string;
        previewMask?: false | (() => any);
        fallback?: string;
    } & Omit<ImgHTMLAttributes, "onClick" | "placeholder">>>, {}, {}, {}, {}, {
        class?: any;
        placeholder?: any;
        inlist?: any;
    }>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue-demi").ComponentOptionsBase<Readonly<Partial<{
    preview: boolean | import("../vc-image").ImagePreviewType;
    wrapperStyle: import("vue-demi").CSSProperties;
} & {
    onClick?: import("../_util/EventInterface").MouseEventHandler;
    onError?: OnErrorEventHandlerNonNull;
    prefixCls?: string;
    wrapperClassName?: string;
    placeholder?: any;
    rootClassName?: string;
    src?: string;
    previewPrefixCls?: string;
    previewMask?: false | (() => any);
    fallback?: string;
} & Omit<ImgHTMLAttributes, "onClick" | "placeholder">>>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, {
    class?: any;
    placeholder?: any;
    inlist?: any;
}, {}, string, {}> & import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps & Plugin<any[]> & {
    readonly PreviewGroup: typeof PreviewGroup;
};
export default _default;
