import type { ExtractPropTypes } from 'vue-demi';
import { qrcodeProps } from './interface';
export type QRCodeProps = Partial<ExtractPropTypes<ReturnType<typeof qrcodeProps>>>;
declare const _default: {
    new (...args: any[]): import("vue-demi").CreateComponentPublicInstance<Readonly<ExtractPropTypes<{
        errorLevel: {
            type: import("vue-demi").PropType<"M" | "H" | "Q" | "L">;
            default: "M" | "H" | "Q" | "L";
        };
        icon: StringConstructor;
        iconSize: {
            type: NumberConstructor;
            default: number;
        };
        status: {
            type: import("vue-demi").PropType<"active" | "loading" | "expired" | "scanned">;
            default: "active" | "loading" | "expired" | "scanned";
        };
        bordered: {
            type: BooleanConstructor;
            default: boolean;
        };
        size: {
            type: NumberConstructor;
            default: number;
        };
        value: {
            type: StringConstructor;
            required: boolean;
        };
        type: {
            type: import("vue-demi").PropType<"canvas" | "svg">;
            default: "canvas" | "svg";
        };
        color: StringConstructor;
        bgColor: StringConstructor;
        includeMargin: BooleanConstructor;
        imageSettings: {
            type: import("vue-demi").PropType<import("./interface").ImageSettings>;
            default: import("./interface").ImageSettings;
        };
    }>> & {
        onRefresh?: (...args: any[]) => any;
    }, () => import("../_util/type").VueNode, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, "refresh"[], import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps & Readonly<ExtractPropTypes<{
        errorLevel: {
            type: import("vue-demi").PropType<"M" | "H" | "Q" | "L">;
            default: "M" | "H" | "Q" | "L";
        };
        icon: StringConstructor;
        iconSize: {
            type: NumberConstructor;
            default: number;
        };
        status: {
            type: import("vue-demi").PropType<"active" | "loading" | "expired" | "scanned">;
            default: "active" | "loading" | "expired" | "scanned";
        };
        bordered: {
            type: BooleanConstructor;
            default: boolean;
        };
        size: {
            type: NumberConstructor;
            default: number;
        };
        value: {
            type: StringConstructor;
            required: boolean;
        };
        type: {
            type: import("vue-demi").PropType<"canvas" | "svg">;
            default: "canvas" | "svg";
        };
        color: StringConstructor;
        bgColor: StringConstructor;
        includeMargin: BooleanConstructor;
        imageSettings: {
            type: import("vue-demi").PropType<import("./interface").ImageSettings>;
            default: import("./interface").ImageSettings;
        };
    }>> & {
        onRefresh?: (...args: any[]) => any;
    }, {
        size: number;
        type: "canvas" | "svg";
        status: "active" | "loading" | "expired" | "scanned";
        bordered: boolean;
        includeMargin: boolean;
        imageSettings: import("./interface").ImageSettings;
        errorLevel: "M" | "H" | "Q" | "L";
        iconSize: number;
    }, true, {}, {}, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<ExtractPropTypes<{
        errorLevel: {
            type: import("vue-demi").PropType<"M" | "H" | "Q" | "L">;
            default: "M" | "H" | "Q" | "L";
        };
        icon: StringConstructor;
        iconSize: {
            type: NumberConstructor;
            default: number;
        };
        status: {
            type: import("vue-demi").PropType<"active" | "loading" | "expired" | "scanned">;
            default: "active" | "loading" | "expired" | "scanned";
        };
        bordered: {
            type: BooleanConstructor;
            default: boolean;
        };
        size: {
            type: NumberConstructor;
            default: number;
        };
        value: {
            type: StringConstructor;
            required: boolean;
        };
        type: {
            type: import("vue-demi").PropType<"canvas" | "svg">;
            default: "canvas" | "svg";
        };
        color: StringConstructor;
        bgColor: StringConstructor;
        includeMargin: BooleanConstructor;
        imageSettings: {
            type: import("vue-demi").PropType<import("./interface").ImageSettings>;
            default: import("./interface").ImageSettings;
        };
    }>> & {
        onRefresh?: (...args: any[]) => any;
    }, () => import("../_util/type").VueNode, {}, {}, {}, {
        size: number;
        type: "canvas" | "svg";
        status: "active" | "loading" | "expired" | "scanned";
        bordered: boolean;
        includeMargin: boolean;
        imageSettings: import("./interface").ImageSettings;
        errorLevel: "M" | "H" | "Q" | "L";
        iconSize: number;
    }>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue-demi").ComponentOptionsBase<Readonly<ExtractPropTypes<{
    errorLevel: {
        type: import("vue-demi").PropType<"M" | "H" | "Q" | "L">;
        default: "M" | "H" | "Q" | "L";
    };
    icon: StringConstructor;
    iconSize: {
        type: NumberConstructor;
        default: number;
    };
    status: {
        type: import("vue-demi").PropType<"active" | "loading" | "expired" | "scanned">;
        default: "active" | "loading" | "expired" | "scanned";
    };
    bordered: {
        type: BooleanConstructor;
        default: boolean;
    };
    size: {
        type: NumberConstructor;
        default: number;
    };
    value: {
        type: StringConstructor;
        required: boolean;
    };
    type: {
        type: import("vue-demi").PropType<"canvas" | "svg">;
        default: "canvas" | "svg";
    };
    color: StringConstructor;
    bgColor: StringConstructor;
    includeMargin: BooleanConstructor;
    imageSettings: {
        type: import("vue-demi").PropType<import("./interface").ImageSettings>;
        default: import("./interface").ImageSettings;
    };
}>> & {
    onRefresh?: (...args: any[]) => any;
}, () => import("../_util/type").VueNode, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, "refresh"[], "refresh", {
    size: number;
    type: "canvas" | "svg";
    status: "active" | "loading" | "expired" | "scanned";
    bordered: boolean;
    includeMargin: boolean;
    imageSettings: import("./interface").ImageSettings;
    errorLevel: "M" | "H" | "Q" | "L";
    iconSize: number;
}, {}, string, {}> & import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps & import("vue-demi").Plugin<any[]>;
export default _default;
