import type { CSSProperties } from 'vue-demi';
import type { PosInfo } from './hooks/useTarget';
export interface MaskProps {
    prefixCls?: string;
    pos: PosInfo;
    rootClassName?: string;
    showMask?: boolean;
    style?: CSSProperties;
    fill?: string;
    open?: boolean;
    animated?: boolean | {
        placeholder: boolean;
    };
    zIndex?: number;
}
declare const Mask: import("vue-demi").DefineComponent<{
    prefixCls: {
        type: StringConstructor;
    };
    pos: {
        type: import("vue-demi").PropType<PosInfo>;
        default: PosInfo;
    };
    rootClassName: {
        type: StringConstructor;
    };
    showMask: {
        type: BooleanConstructor;
        default: boolean;
    };
    fill: {
        type: StringConstructor;
        default: string;
    };
    open: {
        type: BooleanConstructor;
        default: boolean;
    };
    animated: {
        type: import("vue-demi").PropType<boolean | {
            placeholder: boolean;
        }>;
        default: boolean | {
            placeholder: boolean;
        };
    };
    zIndex: {
        type: NumberConstructor;
    };
}, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<import("vue-demi").ExtractPropTypes<{
    prefixCls: {
        type: StringConstructor;
    };
    pos: {
        type: import("vue-demi").PropType<PosInfo>;
        default: PosInfo;
    };
    rootClassName: {
        type: StringConstructor;
    };
    showMask: {
        type: BooleanConstructor;
        default: boolean;
    };
    fill: {
        type: StringConstructor;
        default: string;
    };
    open: {
        type: BooleanConstructor;
        default: boolean;
    };
    animated: {
        type: import("vue-demi").PropType<boolean | {
            placeholder: boolean;
        }>;
        default: boolean | {
            placeholder: boolean;
        };
    };
    zIndex: {
        type: NumberConstructor;
    };
}>>, {
    fill: string;
    open: boolean;
    pos: PosInfo;
    showMask: boolean;
    animated: boolean | {
        placeholder: boolean;
    };
}, {}>;
export default Mask;
