import type { ExtractPropTypes } from 'vue-demi';
export interface WatermarkFontType {
    color?: string;
    fontSize?: number | string;
    fontWeight?: 'normal' | 'light' | 'weight' | number;
    fontStyle?: 'none' | 'normal' | 'italic' | 'oblique';
    fontFamily?: string;
}
export declare const watermarkProps: () => {
    zIndex: NumberConstructor;
    rotate: NumberConstructor;
    width: NumberConstructor;
    height: NumberConstructor;
    image: StringConstructor;
    content: {
        type: import("vue-demi").PropType<string | string[]>;
        default: string | string[];
    };
    font: {
        type: import("vue-demi").PropType<WatermarkFontType>;
        default: WatermarkFontType;
    };
    rootClassName: StringConstructor;
    gap: {
        type: import("vue-demi").PropType<[number, number]>;
        default: [number, number];
    };
    offset: {
        type: import("vue-demi").PropType<[number, number]>;
        default: [number, number];
    };
};
export type WatermarkProps = Partial<ExtractPropTypes<ReturnType<typeof watermarkProps>>>;
declare const _default: {
    new (...args: any[]): import("vue-demi").CreateComponentPublicInstance<Readonly<ExtractPropTypes<{
        zIndex: NumberConstructor;
        rotate: NumberConstructor;
        width: NumberConstructor;
        height: NumberConstructor;
        image: StringConstructor;
        content: {
            type: import("vue-demi").PropType<string | string[]>;
            default: string | string[];
        };
        font: {
            type: import("vue-demi").PropType<WatermarkFontType>;
            default: WatermarkFontType;
        };
        rootClassName: StringConstructor;
        gap: {
            type: import("vue-demi").PropType<[number, number]>;
            default: [number, number];
        };
        offset: {
            type: import("vue-demi").PropType<[number, number]>;
            default: [number, number];
        };
    }>>, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps & Readonly<ExtractPropTypes<{
        zIndex: NumberConstructor;
        rotate: NumberConstructor;
        width: NumberConstructor;
        height: NumberConstructor;
        image: StringConstructor;
        content: {
            type: import("vue-demi").PropType<string | string[]>;
            default: string | string[];
        };
        font: {
            type: import("vue-demi").PropType<WatermarkFontType>;
            default: WatermarkFontType;
        };
        rootClassName: StringConstructor;
        gap: {
            type: import("vue-demi").PropType<[number, number]>;
            default: [number, number];
        };
        offset: {
            type: import("vue-demi").PropType<[number, number]>;
            default: [number, number];
        };
    }>>, {
        content: string | string[];
        font: WatermarkFontType;
        gap: [number, number];
        offset: [number, number];
    }, true, {}, {}, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<ExtractPropTypes<{
        zIndex: NumberConstructor;
        rotate: NumberConstructor;
        width: NumberConstructor;
        height: NumberConstructor;
        image: StringConstructor;
        content: {
            type: import("vue-demi").PropType<string | string[]>;
            default: string | string[];
        };
        font: {
            type: import("vue-demi").PropType<WatermarkFontType>;
            default: WatermarkFontType;
        };
        rootClassName: StringConstructor;
        gap: {
            type: import("vue-demi").PropType<[number, number]>;
            default: [number, number];
        };
        offset: {
            type: import("vue-demi").PropType<[number, number]>;
            default: [number, number];
        };
    }>>, () => import("vue/jsx-runtime").JSX.Element, {}, {}, {}, {
        content: string | string[];
        font: WatermarkFontType;
        gap: [number, number];
        offset: [number, number];
    }>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue-demi").ComponentOptionsBase<Readonly<ExtractPropTypes<{
    zIndex: NumberConstructor;
    rotate: NumberConstructor;
    width: NumberConstructor;
    height: NumberConstructor;
    image: StringConstructor;
    content: {
        type: import("vue-demi").PropType<string | string[]>;
        default: string | string[];
    };
    font: {
        type: import("vue-demi").PropType<WatermarkFontType>;
        default: WatermarkFontType;
    };
    rootClassName: StringConstructor;
    gap: {
        type: import("vue-demi").PropType<[number, number]>;
        default: [number, number];
    };
    offset: {
        type: import("vue-demi").PropType<[number, number]>;
        default: [number, number];
    };
}>>, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, {
    content: string | string[];
    font: WatermarkFontType;
    gap: [number, number];
    offset: [number, number];
}, {}, string, {}> & import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps & import("vue-demi").Plugin<any[]>;
export default _default;
