"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _vueDemi = require("vue-demi");
const useDestroyed = () => {
  const destroyed = (0, _vueDemi.shallowRef)(false);
  (0, _vueDemi.onBeforeUnmount)(() => {
    destroyed.value = true;
  });
  return destroyed;
};
var _default = exports.default = useDestroyed;