"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useAvatarProviderContext = exports.useAvatarInjectContext = void 0;
var _vueDemi = require("vue-demi");
const AvatarContextKey = Symbol('AvatarContextKey');
const useAvatarInjectContext = () => {
  return (0, _vueDemi.inject)(AvatarContextKey, {});
};
exports.useAvatarInjectContext = useAvatarInjectContext;
const useAvatarProviderContext = context => {
  return (0, _vueDemi.provide)(AvatarContextKey, context);
};
exports.useAvatarProviderContext = useAvatarProviderContext;