"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useProvideFloatButtonGroupContext = exports.useInjectFloatButtonGroupContext = void 0;
var _vueDemi = require("vue-demi");
const contextKey = Symbol('floatButtonGroupContext');
const useProvideFloatButtonGroupContext = props => {
  (0, _vueDemi.provide)(contextKey, props);
  return props;
};
exports.useProvideFloatButtonGroupContext = useProvideFloatButtonGroupContext;
const useInjectFloatButtonGroupContext = () => {
  return (0, _vueDemi.inject)(contextKey, {
    shape: (0, _vueDemi.ref)()
  });
};
exports.useInjectFloatButtonGroupContext = useInjectFloatButtonGroupContext;