import type { Plugin } from 'vue-demi';
import FloatButtonGroup from './FloatButtonGroup';
import BackTop from './BackTop';
import type { FloatButtonProps, FloatButtonShape, FloatButtonType, FloatButtonGroupProps, BackTopProps } from './interface';
import type { SizeType as FloatButtonSize } from '../config-provider';
export type { FloatButtonProps, FloatButtonShape, FloatButtonType, FloatButtonGroupProps, BackTopProps, FloatButtonSize, };
export { FloatButtonGroup, BackTop };
declare const _default: {
    new (...args: any[]): import("vue-demi").CreateComponentPublicInstance<Readonly<import("vue-demi").ExtractPropTypes<{
        prefixCls: StringConstructor;
        description: import("vue-types").VueTypeValidableDef<any>;
        type: {
            type: import("vue-demi").PropType<FloatButtonType>;
            default: FloatButtonType;
        };
        shape: {
            type: import("vue-demi").PropType<FloatButtonShape>;
            default: FloatButtonShape;
        };
        tooltip: import("vue-types").VueTypeValidableDef<any>;
        href: StringConstructor;
        target: {
            type: import("vue-demi").PropType<() => HTMLElement | Window>;
            default: () => HTMLElement | Window;
        };
        badge: {
            type: import("vue-demi").PropType<import("./interface").FloatButtonBadgeProps>;
            default: import("./interface").FloatButtonBadgeProps;
        };
        onClick: {
            type: import("vue-demi").PropType<import("../_util/EventInterface").MouseEventHandler>;
            default: import("../_util/EventInterface").MouseEventHandler;
        };
    }>>, () => import("../_util/type").VueNode, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps & Readonly<import("vue-demi").ExtractPropTypes<{
        prefixCls: StringConstructor;
        description: import("vue-types").VueTypeValidableDef<any>;
        type: {
            type: import("vue-demi").PropType<FloatButtonType>;
            default: FloatButtonType;
        };
        shape: {
            type: import("vue-demi").PropType<FloatButtonShape>;
            default: FloatButtonShape;
        };
        tooltip: import("vue-types").VueTypeValidableDef<any>;
        href: StringConstructor;
        target: {
            type: import("vue-demi").PropType<() => HTMLElement | Window>;
            default: () => HTMLElement | Window;
        };
        badge: {
            type: import("vue-demi").PropType<import("./interface").FloatButtonBadgeProps>;
            default: import("./interface").FloatButtonBadgeProps;
        };
        onClick: {
            type: import("vue-demi").PropType<import("../_util/EventInterface").MouseEventHandler>;
            default: import("../_util/EventInterface").MouseEventHandler;
        };
    }>>, {
        type: FloatButtonType;
        onClick: import("../_util/EventInterface").MouseEventHandler;
        target: () => HTMLElement | Window;
        shape: FloatButtonShape;
        badge: import("./interface").FloatButtonBadgeProps;
    }, true, {}, {}, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue-demi").ExtractPropTypes<{
        prefixCls: StringConstructor;
        description: import("vue-types").VueTypeValidableDef<any>;
        type: {
            type: import("vue-demi").PropType<FloatButtonType>;
            default: FloatButtonType;
        };
        shape: {
            type: import("vue-demi").PropType<FloatButtonShape>;
            default: FloatButtonShape;
        };
        tooltip: import("vue-types").VueTypeValidableDef<any>;
        href: StringConstructor;
        target: {
            type: import("vue-demi").PropType<() => HTMLElement | Window>;
            default: () => HTMLElement | Window;
        };
        badge: {
            type: import("vue-demi").PropType<import("./interface").FloatButtonBadgeProps>;
            default: import("./interface").FloatButtonBadgeProps;
        };
        onClick: {
            type: import("vue-demi").PropType<import("../_util/EventInterface").MouseEventHandler>;
            default: import("../_util/EventInterface").MouseEventHandler;
        };
    }>>, () => import("../_util/type").VueNode, {}, {}, {}, {
        type: FloatButtonType;
        onClick: import("../_util/EventInterface").MouseEventHandler;
        target: () => HTMLElement | Window;
        shape: FloatButtonShape;
        badge: import("./interface").FloatButtonBadgeProps;
    }>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue-demi").ComponentOptionsBase<Readonly<import("vue-demi").ExtractPropTypes<{
    prefixCls: StringConstructor;
    description: import("vue-types").VueTypeValidableDef<any>;
    type: {
        type: import("vue-demi").PropType<FloatButtonType>;
        default: FloatButtonType;
    };
    shape: {
        type: import("vue-demi").PropType<FloatButtonShape>;
        default: FloatButtonShape;
    };
    tooltip: import("vue-types").VueTypeValidableDef<any>;
    href: StringConstructor;
    target: {
        type: import("vue-demi").PropType<() => HTMLElement | Window>;
        default: () => HTMLElement | Window;
    };
    badge: {
        type: import("vue-demi").PropType<import("./interface").FloatButtonBadgeProps>;
        default: import("./interface").FloatButtonBadgeProps;
    };
    onClick: {
        type: import("vue-demi").PropType<import("../_util/EventInterface").MouseEventHandler>;
        default: import("../_util/EventInterface").MouseEventHandler;
    };
}>>, () => import("../_util/type").VueNode, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, {
    type: FloatButtonType;
    onClick: import("../_util/EventInterface").MouseEventHandler;
    target: () => HTMLElement | Window;
    shape: FloatButtonShape;
    badge: import("./interface").FloatButtonBadgeProps;
}, {}, string, {}> & import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps & Plugin<any[]> & {
    readonly Group: typeof FloatButtonGroup;
    readonly BackTop: typeof BackTop;
};
export default _default;
