import type { PreviewGroupPreview } from '../vc-image/src/PreviewGroup';
import type { ExtractPropTypes } from 'vue-demi';
export declare const icons: {
    rotateLeft: import("vue/jsx-runtime").JSX.Element;
    rotateRight: import("vue/jsx-runtime").JSX.Element;
    zoomIn: import("vue/jsx-runtime").JSX.Element;
    zoomOut: import("vue/jsx-runtime").JSX.Element;
    close: import("vue/jsx-runtime").JSX.Element;
    left: import("vue/jsx-runtime").JSX.Element;
    right: import("vue/jsx-runtime").JSX.Element;
    flipX: import("vue/jsx-runtime").JSX.Element;
    flipY: import("vue/jsx-runtime").JSX.Element;
};
declare const previewGroupProps: () => {
    previewPrefixCls: StringConstructor;
    preview: {
        default: boolean | PreviewGroupPreview;
        type: import("vue-demi").PropType<boolean | PreviewGroupPreview>;
    };
};
export type ImageGroupProps = Partial<ExtractPropTypes<ReturnType<typeof previewGroupProps>>>;
declare const InternalPreviewGroup: import("vue-demi").DefineComponent<{
    previewPrefixCls: StringConstructor;
    preview: {
        default: boolean | PreviewGroupPreview;
        type: import("vue-demi").PropType<boolean | PreviewGroupPreview>;
    };
}, () => import("../_util/type").VueNode, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<ExtractPropTypes<{
    previewPrefixCls: StringConstructor;
    preview: {
        default: boolean | PreviewGroupPreview;
        type: import("vue-demi").PropType<boolean | PreviewGroupPreview>;
    };
}>>, {
    preview: boolean | PreviewGroupPreview;
}, {}>;
export default InternalPreviewGroup;
