"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useProvideBody = exports.useInjectBody = exports.BodyContextKey = void 0;
var _vueDemi = require("vue-demi");
const BodyContextKey = exports.BodyContextKey = Symbol('BodyContextProps');
const useProvideBody = props => {
  (0, _vueDemi.provide)(BodyContextKey, props);
};
exports.useProvideBody = useProvideBody;
const useInjectBody = () => {
  return (0, _vueDemi.inject)(BodyContextKey, {});
};
exports.useInjectBody = useInjectBody;